aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2009-08-25 08:33:35 -0400
committerMike Frysinger <vapier@gentoo.org>2009-08-25 08:34:45 -0400
commiteafd6ec70693c18c4dd264ac65ce0b236057c7e3 (patch)
treee7ddad782c2e829c47aa042653241ce283ceb9ea /tests/vfork-1.sh
parentfix minor regression in config.status output (diff)
downloadsandbox-eafd6ec70693c18c4dd264ac65ce0b236057c7e3.tar.gz
sandbox-eafd6ec70693c18c4dd264ac65ce0b236057c7e3.tar.bz2
sandbox-eafd6ec70693c18c4dd264ac65ce0b236057c7e3.zip
tests: fix vfork-1 failurev2.1
The vfork-1 test was a little broken and didn't test the results quite right. Signed-off-by: Mike Frysinger <vapier@gentoo.org>
Diffstat (limited to 'tests/vfork-1.sh')
-rwxr-xr-xtests/vfork-1.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/vfork-1.sh b/tests/vfork-1.sh
index c53cdca..0f3381a 100755
--- a/tests/vfork-1.sh
+++ b/tests/vfork-1.sh
@@ -5,7 +5,7 @@ trace-0 ; test $? -eq 77 && exit 77
# the exact binary we run doesnt matter, it just needs to be
# static so that the trace code works
-output=$(vfork-0 openat_static-0 openat_static-0 openat_static-0 2>&1)
+output=$(vfork-0 sb_true_static sb_true_static sb_true_static 2>&1 || echo fail)
echo "$output"
exec test -z "$output"